# Gimp.Config.deserialize_string

    @accepts(Gimp.Config, [unicode], int, gpointer)
    @returns(bool)
    def deserialize_string(self, text, text_len, data):
        # Python wrapper for gimp_config_deserialize_string()

Configures self from text. Basically this function creates a properly configured GLib.Scanner for you and calls the deserialize function of the self's Gimp.ConfigInterface.

Since 2.4

self

  a GObject.Object that implements the Gimp.ConfigInterface.

text

  string to deserialize (in UTF-8 encoding)

text_len

  length of text in bytes or -1

data

  client data

Returns